complexType "EquityDerivativeBase"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 8 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally in fpml-eqd-5-3.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | productType+, productId*, assetClass+, optionType?, equityEffectiveDate?, underlyer?, notional?, equityExercise?
</...>

Content Model Elements (8):

  assetClass,
  equityEffectiveDate,
  equityExercise (defined in EquityDerivativeBase complexType),
  notional (defined in EquityDerivativeBase complexType),
  optionType (defined in EquityDerivativeBase complexType),
  productId,
  productType,
  underlyer (defined in EquityDerivativeBase complexType)

Known Direct Subtypes (2):

  EquityDerivativeLongFormBase, EquityDerivativeShortFormBase

Known Indirect Subtypes (3):

  EquityForward, EquityOption, EquityOptionTransactionSupplement

All Direct / Indirect Based Elements (2):

  equityForward, equityOptionTransactionSupplement

Known Usage Locations

- In derivations of other global types (2):

  EquityDerivativeLongFormBase (as extension base), | EquityDerivativeShortFormBase (as extension base)

Annotation
A type for defining the common features of equity derivatives.
Type Definition Detail

Type Derivation Tree Product (extension) EquityDerivativeBase

XML Source (w/o annotations (6); see within schema source)

<xsd:complexType abstract="true" name="EquityDerivativeBase"> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:element minOccurs="0" name="optionType" type="EquityOptionTypeEnum"/> <xsd:element minOccurs="0" name="equityEffectiveDate" type="xsd:date"/> <xsd:element minOccurs="0" name="underlyer" type="Underlyer"/> <xsd:element minOccurs="0" name="notional" type="NonNegativeMoney"/> <xsd:element minOccurs="0" name="equityExercise" type="EquityExerciseValuationSettlement"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/8)
equityEffectiveDate

  Type: | xsd:date, predefined, simple content

  Effective date for a forward starting option.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="equityEffectiveDate" type="xsd:date"/>

equityExercise

  Type: | EquityExerciseValuationSettlement, complex content

  The parameters for defining how the equity option can be exercised, how it is valued and how it is settled.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="equityExercise" type="EquityExerciseValuationSettlement"/>

notional

  Type: | NonNegativeMoney, complex content

  The notional amount.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="notional" type="NonNegativeMoney"/>

optionType

  Type: | EquityOptionTypeEnum, simple content

  The type of option transaction.
  Simple Content

  ("Put" | "Call") | "Forward"

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="optionType" type="EquityOptionTypeEnum"/>

underlyer

  Type: | Underlyer, complex content

  Specifies the underlying component, which can be either one or many and consists in either equity, index or convertible bond component, or a combination of these.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="underlyer" type="Underlyer"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.